Summary:	Linux Logical Volume Manager utilities.
Name:		lvm
Version:	1.0.3
Release:	1.5.1
License:	GPL
Group:		System Environment/Base
URL:		http://www.sistina.com/products_lvm.htm
Source0:	ftp://linux.msede.com/lvm/1.0/lvm_%{version}.tar.gz
Source2:	pvscan.8
Patch00:	lvm-1.0.3-evilinstall.patch
Patch01:	lvm-0.9-paths.patch
Patch02:	lvm-0.9-broken.patch
Patch03:	lvm-1.0.3-dietlibc.patch
Patch04:	lvm-1.0.3-dietllseek.patch
Patch05:	lvm-1.0.3-wrapper2.patch
Patch06:	lvm-1.0.3-pvmove.patch
Patch07:	lvm-1.0.3-fixit.patch
Patch08:	lvm-1.0.3-cookie.patch
Patch09:	lvm-1.0.3-vgscanfix.patch
Patch10:	lvm-1.0.3-signals.patch
Patch11:	lvm-1.0.3-nomsdoschecks.patch
Patch12:	lvm-1.0.3-viodasd.patch
Patch13:	lvm-1.0.3-kdevt.patch
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%files
  %defattr(-,root,root)
  %doc %{version}/ABSTRACT %{version}/CHANGELOG %{version}/CONTRIBUTORS
  %doc %{version}/LVM-HOWTO %{version}/README %{version}/TODO
  %doc %{version}/WHATSNEW %{version}/FAQ

  %attr(0444,root,root)		%doc %{_mandir}/man8/*
  %attr(0555,root,root)		/%{_lib}/liblvm*.so*
  %attr(0550,root,admin)	%{_root_sbindir}/*

%prep
%setup -q -n LVM
%patch0 -p1
%patch3 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

  cd %{version}

  # ugly hack to build diet-ized vgchange and vgscan
  patch -p2 -i %{PATCH4}
  export CC="diet gcc"

  # make the wrapper
  patch -p2 -i %{PATCH5}

%build
  cd %{version}

  # make static versions of vgchange and vgscan (diet-ized on i386)
  %configure --prefix=/usr --sbindir=/sbin --libdir=%{_lib} --enable-static_link

  pushd tools/lib
    make
    cd ..
    make vgwrapper
    mv vgwrapper vgwrapper.static
    make clean
  popd

  patch -p2 -R -i %{PATCH5}
  patch -p2 -R -i %{PATCH4}
  export CC=gcc

  rm -f tools/vgwrapper.c tools/vgwrapper.o
  rm config.cache
  %configure --prefix=/usr  --sbindir=/sbin --libdir=/%{_lib} 
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_lib}
  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8

  cd %{version}
  make DESTDIR=$RPM_BUILD_ROOT install

  # install static versions
  install -m 755 tools/vgwrapper.static $RPM_BUILD_ROOT/sbin/vgwrapper
  ln $RPM_BUILD_ROOT/sbin/vgwrapper $RPM_BUILD_ROOT/sbin/vgchange.static
  ln $RPM_BUILD_ROOT/sbin/vgwrapper $RPM_BUILD_ROOT/sbin/vgscan.static

  # install pvscan man page.
  install -m 644 %SOURCE2 $RPM_BUILD_ROOT/%{_mandir}/man8/pvscan.8

  # remove unpackaged files from the buildroot
  rm -rf $RPM_BUILD_ROOT/usr/lib

%post   -p /sbin/ldconfig 
%postun -p /sbin/ldconfig 

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 04 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.3, Release 1.5.1
  - Initial build for EnGarde.
